Package com.arms.api.requirement.reqadd_pure.service

## Class ReqAddPureImpl

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.service.TreeServiceImpl
  - - com.arms.api.requirement.reqadd_pure.service.ReqAddPureImpl

- All Implemented Interfaces:
    `ReqAddPure`, `TreeService`

      @Service("reqAddPure")
      public class ReqAddPureImpl
      extends TreeServiceImpl
      implements ReqAddPure

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Chat` | `chat` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReqAddPureImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ReqAddPureEntity` | `moveReqNode​(ReqAddPureEntity reqAddPureEntity, java.lang.String changeReqTableName, javax.servlet.http.HttpServletRequest request)` |
    `int` | `updateDrawDB​(ReqAddPureEntity reqAddPureEntity, java.lang.String changeReqTableName)` |

    - ### Methods inherited from class com.arms.egovframework.javaservice.treeframework.service.TreeServiceImpl

      `addNode, alterNode, alterNodeType, calculatePosition, cutMyself, enterMyselfFixLeftRight, enterMyselfFromTree, fixPositionParentIdOfCopyNodes, getChildNode, getChildNodeWithoutPaging, getNode, getNodesWithoutRoot, getNodesWithoutRootMap, getPaginatedChildNode, moveNode, newInstance, overwriteNode, pasteMyselfFromTree, removeNode, saveOrUpdateList, searchNode, stretchLeft, stretchLeftRightForMyselfFromTree, stretchPositionForMyselfFromTree, stretchRight, updateField, updateNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.arms.egovframework.javaservice.treeframework.service.TreeService

      `addNode, alterNode, alterNodeType, getChildNode, getChildNodeWithoutPaging, getNode, getNodesWithoutRoot, getNodesWithoutRootMap, getPaginatedChildNode, moveNode, overwriteNode, removeNode, searchNode, updateField, updateNode`

- - ### Field Detail

    - #### chat

          @Autowired
          protected Chat chat

  - ### Constructor Detail

    - #### ReqAddPureImpl

          public ReqAddPureImpl()

  - ### Method Detail

    - #### moveReqNode

          @Transactional
          public ReqAddPureEntity moveReqNode​(ReqAddPureEntity reqAddPureEntity,
                                              java.lang.String changeReqTableName,
                                              javax.servlet.http.HttpServletRequest request)
                                       throws java.lang.Exception

      Specified by:
        `moveReqNode` in interface `ReqAddPure`
      Throws:
        `java.lang.Exception`

    - #### updateDrawDB

          @Transactional
          public int updateDrawDB​(ReqAddPureEntity reqAddPureEntity,
                                  java.lang.String changeReqTableName)
                           throws java.lang.Exception

      Specified by:
        `updateDrawDB` in interface `ReqAddPure`
      Throws:
        `java.lang.Exception`